Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.measures
Class MeasuresHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          mro.util.measures.MeasuresHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

     class MeasuresHandler

extends org.xml.sax.helpers.DefaultHandler

Class used for XML-parsing of `Measures`-objects.

Field Summary
`(package private) java.lang.StringBuffer` | `buffer`
`(package private) int` | `currentType`
`(package private) java.lang.String` | `description`
`(package private) java.util.Stack<MeasureGroup>` | `measureGroupStack`
`(package private) Measures` | `measures`
`(package private) java.lang.String` | `name`
`(package private) java.lang.String` | `stamp`
`(package private) java.lang.String` | `value`

Constructor Summary
`MeasuresHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`Measures` | `getmeasures()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    java.lang.StringBuffer buffer

### measures

    Measures measures

### measureGroupStack

    java.util.Stack<MeasureGroup> measureGroupStack

### name

    java.lang.String name

### value

    java.lang.String value

### description

    java.lang.String description

### stamp

    java.lang.String stamp

### currentType

    int currentType

Constructor Detail

### MeasuresHandler

    MeasuresHandler()

Method Detail

### getmeasures

    public Measures getmeasures()

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD